## org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog
Class ResultsHistoryFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog.ResultsHistoryFilter

    public class ResultsHistoryFilter

extends org.eclipse.jface.viewers.ViewerFilter

Filters the result history based on current SQL statement. It shows only those statements executed for the current connection profile.

Author:
  Jeremy Lindop

Constructor Summary
`ResultsHistoryFilter(java.lang.String profile)` Constructor
`ResultsHistoryFilter(java.lang.String profile, java.util.Date since)` Constructor

Method Summary
`boolean` `select(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, filter, isFilterProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultsHistoryFilter

    public ResultsHistoryFilter(java.lang.String profile)

  Constructor

  Parameters:
    `profile` - the connection profile name used in a result instance

### ResultsHistoryFilter

    public ResultsHistoryFilter(java.lang.String profile,
                                java.util.Date since)

  Constructor

  Parameters:
    `profile` - the connection profile name for which statements are executed
    `since` - the date after which executed statements are included

Method Detail

### select

    public boolean select(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

  Specified by:
    `select` in class `org.eclipse.jface.viewers.ViewerFilter`